## pycountry 0.14.1+ds1

=== Makefile ===
PHONY=sdist

sdist:
	rm -rf src/pycountry/databases
	rm -rf src/pycountry/locales
	python generate.py
	python setup.py sdist

## pycountry 0.12.1+ds1

=== debian/changelog ===
pycountry (0.12.1+ds1-1) unstable; urgency=low

  * Initial release (Closes: #586130)

 -- David Paleino <dapal@debian.org>  Thu, 24 Jun 2010 14:06:22 +0200

=== debian/control ===
Source: pycountry
Section: python
Priority: extra
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , python-support (>= 0.90.0~)
 , python-setuptools
 , iso-codes
Standards-Version: 3.8.4
Homepage: http://pypi.python.org/pypi/pycountry/
Vcs-Git: git://git.debian.org/collab-maint/pycountry.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pycountry.git;a=summary

Package: python-pycountry
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
 , iso-codes
Description: ISO databases accessible from Python
 pycountry provides ISO country, subdivision, language, currency and script
 definitions and their translations, taken from the iso-codes package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CURVER=$(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2)
DEBVER=$(shell echo $(CURVER) | cut -d- -f1)
UPVER=$(shell echo $(DEBVER) | cut -d+ -f1)

%:
	dh -Spython_distutils $@

get-orig-source:
	uscan --verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir .
	tar xvf pycountry-$(UPVER).tar.gz
	rm -vrf pycountry-$(UPVER)/src/pycountry/databases
	rm -vrf pycountry-$(UPVER)/src/pycountry/locales
	tar cf pycountry_$(DEBVER).orig.tar pycountry-$(UPVER)
	gzip -9 pycountry_$(DEBVER).orig.tar
	rm -vrf pycountry-$(UPVER)/ pycountry-$(UPVER).tar.gz

## pycountry 0.14.1%2Bds1

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds.*// \
http://pypi.python.org/packages/source/p/pycountry/pycountry-(\d+.*)\.tar\.gz

## pycountry 0.14.1+ds1

=== debian/changelog ===
pycountry (0.14.1+ds1-3build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:10 +0000

pycountry (0.14.1+ds1-3) unstable; urgency=low

  * Support "common_name" attribute for languages, thanks to
    Jerome Flesch (Closes: #693739).

 -- David Paleino <dapal@debian.org>  Tue, 20 Nov 2012 19:14:08 +0100

pycountry (0.14.1+ds1-2) unstable; urgency=low

  * Oops, install README.txt in the appropriate place (Closes: #644348)

 -- David Paleino <dapal@debian.org>  Wed, 05 Oct 2011 09:40:34 +0200

pycountry (0.14.1+ds1-1) unstable; urgency=low

  * New upstream version
  * Package switched from pysupport to dh_python2
  * Refreshed patches
  * Updated copyright file

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 08:38:23 +0200

pycountry (0.12.1+ds1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2, no changes needed
  * Added dependency on python-lxml (Closes: #626395)
  * Prevent logger warning when importing, thanks to Johannes Weißl
    (Closes: #599369)

 -- David Paleino <dapal@debian.org>  Wed, 11 May 2011 23:31:44 +0200

=== debian/control ===
Source: pycountry
Section: python
Priority: extra
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , python (>= 2.6.6-3~)
 , python-setuptools
 , iso-codes
Standards-Version: 3.9.2
Homepage: http://pypi.python.org/pypi/pycountry/
Vcs-Git: git://git.debian.org/collab-maint/pycountry.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pycountry.git;a=summary

Package: python-pycountry
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
 , iso-codes
 , python-lxml
Description: ISO databases accessible from Python
 pycountry provides ISO country, subdivision, language, currency and script
 definitions and their translations, taken from the iso-codes package.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
 UPVER=$(shell echo $(DEBVER) | cut -d+ -f1)
 
 %:
-	dh -Spython_distutils $@
+	dh -Spython_distutils $@ \
+		--with python2
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -vrf $(CURDIR)/debian/python-pycountry/usr/lib/python*/*-packages/pycountry/README.txt
 
 get-orig-source:
 	uscan --verbose \

## pycountry 1.8%2Bds1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pycountry
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=$(CURDIR)/src/pycountry/tests

CURVER=$(shell dpkg-parsechangelog --show-field Version)
DEBVER=$(shell echo $(CURVER) | cut -d- -f1)
UPVER=$(shell echo $(DEBVER) | cut -d+ -f1)


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -vrf $(CURDIR)/debian/python*-pycountry/usr/lib/python*/*-packages/pycountry/README.txt

override_dh_clean:
	rm -vrf $(CURDIR)/src/pycountry.egg-info/
	dh_clean

get-orig-source:
	uscan --verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir .
	unzip pycountry-$(UPVER).zip
	rm -vrf pycountry-$(UPVER)/src/pycountry/databases
	rm -vrf pycountry-$(UPVER)/src/pycountry/locales
	tar cf pycountry_$(DEBVER).orig.tar pycountry-$(UPVER)
	gzip -9 pycountry_$(DEBVER).orig.tar
	rm -vrf pycountry-$(UPVER)/ pycountry-$(UPVER).tar.gz

## pycountry 1.8+ds1

=== debian/changelog ===
pycountry (1.8+ds1-0.1) unstable; urgency=medium

  * New upstream release
  * Non-maintainer upload.
  * New package python3-pycountry
  * Add unzip as Build-Dependency
  * Remove 02-support_language_common-name.patch, as already merged upstream
  * debian/watch:
    + Use .zip urls to watch, in which pycountry > 1.5 is shipped.
  * debian/rules:
    + Remove pycountry.egg-info when cleaning
    + Use --show-field when parsing changelog
    + Run unit-tests in new upstream
    + Unzip ".zip" files in get-orig-source

 -- Michele Orru` <maker@python.it>  Wed, 09 Jul 2014 20:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,13 @@
 Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~)
+ , unzip
  , python (>= 2.6.6-3~)
+ , python3 (>= 3.4.1-1~)
  , python-setuptools
+ , python3-setuptools
+ , python-pytest
+ , python3-pytest
  , iso-codes
 Standards-Version: 3.9.2
 Homepage: http://pypi.python.org/pypi/pycountry/
@@ -19,6 +24,21 @@
  , ${misc:Depends}
  , iso-codes
  , python-lxml
-Description: ISO databases accessible from Python
+Description: ISO databases accessible from Python 2
  pycountry provides ISO country, subdivision, language, currency and script
  definitions and their translations, taken from the iso-codes package.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-pycountry
+Architecture: all
+Depends:
+ ${python3:Depends}
+ , ${misc:Depends}
+ , iso-codes
+ , python3-lxml
+Description: ISO databases accessible from Python 3
+ pycountry provides ISO country, subdivision, language, currency and script
+ definitions and their translations, taken from the iso-codes package.
+ .
+ This is the Python 3 version of the package.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds.*// \
https://pypi.python.org/packages/source/p/pycountry/pycountry-(\d+.*)\.zip

## pycountry 17.5.14%2Bds1

=== debian/changelog ===
pycountry (17.5.14+ds1-0ubuntu1) artful; urgency=medium

  * New upstream version.
  * d/control: add build-depends on dh-python, remove build-depends on unzip.
  * d/watch: upstream distributes tarballs now.
  * d/rules: update get-orig-source to extract tarball not zip.
  * d/patches/00-use_system_iso-codes.patch: update to use json from iso-codes,
    not XML.
  * d/patches/01-prevent_logger_warning.patch,
    d/patches/02-disable-failing-asserts.patch: regenerate.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 30 Jun 2017 12:57:57 +1200

pycountry (1.8+ds1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 01-disable-failing-asserts.patch (Closes: #821892)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 28 Jan 2017 23:27:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 		--download-version $(UPVER) \
 		--force-download \
 		--destdir .
-	unzip pycountry-$(UPVER).zip
+	tar xfz pycountry-$(UPVER).tar.gz
 	rm -vrf pycountry-$(UPVER)/src/pycountry/databases
 	rm -vrf pycountry-$(UPVER)/src/pycountry/locales
 	tar cf pycountry_$(DEBVER).orig.tar pycountry-$(UPVER)

## pycountry 17.5.14+ds1

=== debian/changelog ===
pycountry (17.5.14+ds1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:40:20 +0800

pycountry (17.5.14+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's consent.
  * New upstream version (Closes: #800892).
  * Import relevant changes from Ubuntu package, with thanks to
    Michael Hudson-Doyle <michael.hudson@canonical.com> for the patch.
    - add missing build-dependency on dh-python
    - refresh patches for new usptream version
    - update watch file
  * Update repackaging to use uscan rather than get-orig-source.
  * Drop obsoleted dependencies on python-lxml and python3-lxml
    (Closes: #783036).
  * Update debhelper compat to recommended level 10.
  * Point Vcs-* fields at https canonical values.
  * Drop unneeded entries from debian/copyright.
  * Drop unneeded use of dpkg-parsechangelog from debian/rules
  * Add autopkgtest tests to package.
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 09 Sep 2017 15:02:28 +1000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pycountry
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=$(CURDIR)/src/pycountry/tests


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -vrf $(CURDIR)/debian/python*-pycountry/usr/lib/python*/*-packages/pycountry/README.txt

override_dh_clean:
	rm -vrf $(CURDIR)/src/pycountry.egg-info/
	dh_clean

=== debian/tests/control ===
Tests: python3-pycountry
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-pycountry,
 python3-pytest,

Tests: python-pycountry
Restrictions: allow-stderr
Depends:
 python-all,
 python-pycountry,
 python-pytest,

## pycountry 19.7.15+ds1

=== debian/changelog ===
pycountry (19.7.15+ds1-1) unstable; urgency=medium

  * New upstream version.
   - refresh patches
  * Update VCS fields to point to salsa.
  * Add myself to Uploaders.
  * Update Standards-Version to 4.4.0 (no changes required).
  * Update to debhelper compat 12.

 -- Stuart Prescott <stuart@debian.org>  Mon, 19 Aug 2019 23:55:03 +1000

=== debian/control ===
Source: pycountry
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 12)
 , dh-python
 , python (>= 2.6.6-3~)
 , python3 (>= 3.4.1-1~)
 , python-setuptools
 , python3-setuptools
 , python-pytest
 , python3-pytest
 , iso-codes
Standards-Version: 4.4.0
Homepage: https://pypi.org/pypi/pycountry/
Vcs-Git: https://salsa.debian.org/debian/pycountry.git
Vcs-Browser: https://salsa.debian.org/debian/pycountry

Package: python-pycountry
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
 , iso-codes
Description: ISO databases accessible from Python 2
 pycountry provides ISO country, subdivision, language, currency and script
 definitions and their translations, taken from the iso-codes package.
 .
 This is the Python 2 version of the package.

Package: python3-pycountry
Architecture: all
Depends:
 ${python3:Depends}
 , ${misc:Depends}
 , iso-codes
Description: ISO databases accessible from Python 3
 pycountry provides ISO country, subdivision, language, currency and script
 definitions and their translations, taken from the iso-codes package.
 .
 This is the Python 3 version of the package.

## pycountry 19.8.18+ds1

=== debian/changelog ===
pycountry (19.8.18+ds1-2) unstable; urgency=medium

  * Drop Python 2 module package (Closes: #937410).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Build against python3-all.
  * Update autopkgtest tmp dir.

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Dec 2019 13:24:59 +1100

pycountry (19.8.18+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Wed, 25 Sep 2019 01:26:06 +1000

=== debian/control ===
Source: pycountry
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 12)
 , dh-python
 , python3-all
 , python3-setuptools
 , python3-pytest
 , iso-codes
Standards-Version: 4.4.1
Homepage: https://pypi.org/pypi/pycountry/
Vcs-Git: https://salsa.debian.org/debian/pycountry.git
Vcs-Browser: https://salsa.debian.org/debian/pycountry
Rules-Requires-Root: no

Package: python3-pycountry
Architecture: all
Depends:
 ${python3:Depends}
 , ${misc:Depends}
 , iso-codes
Description: ISO databases accessible from Python 3
 pycountry provides ISO country, subdivision, language, currency and script
 definitions and their translations, taken from the iso-codes package.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: python3-pycountry
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-pycountry,
 python3-pytest,

## pycountry 20.7.3+ds1

=== debian/changelog ===
pycountry (20.7.3+ds1-1) unstable; urgency=medium

  * New upstream release.
    - add extra patch to allow tests to pass on uninstalled module.
  * Move to debhelper-compat 13.

 -- Stuart Prescott <stuart@debian.org>  Sat, 08 Aug 2020 19:51:19 +1000

pycountry (19.8.18+ds1-3) unstable; urgency=medium

  * Only test with py3versions -s in autopkgtests.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 19:37:34 +1100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , dh-python
  , python3-all
  , python3-setuptools
  , python3-pytest
  , iso-codes
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://pypi.org/pypi/pycountry/
 Vcs-Git: https://salsa.debian.org/debian/pycountry.git
 Vcs-Browser: https://salsa.debian.org/debian/pycountry

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## pycountry 22.3.5+ds1

=== debian/changelog ===
pycountry (22.3.5+ds1-1) unstable; urgency=medium

  * New upstream version.
    - refresh patches

 -- Stuart Prescott <stuart@debian.org>  Tue, 08 Mar 2022 22:59:34 +1100

pycountry (20.7.3+ds1-3) unstable; urgency=medium

  * Add versioned dependencies to use iso-codes 4.8.0 or newer.
  * Allow lintian-brush to polish packaging.

 -- Stuart Prescott <stuart@debian.org>  Tue, 21 Dec 2021 10:09:47 +1100

pycountry (20.7.3+ds1-2) unstable; urgency=medium

  * Add patch to make test suite compatible with iso-codes 4.8.0
    (Closes: #998565).

 -- Stuart Prescott <stuart@debian.org>  Mon, 20 Dec 2021 17:57:03 +1100

=== debian/control ===
Source: pycountry
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 iso-codes (>> 4.8.0~),
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://pypi.org/pypi/pycountry/
Vcs-Git: https://salsa.debian.org/debian/pycountry.git
Vcs-Browser: https://salsa.debian.org/debian/pycountry
Rules-Requires-Root: no

Package: python3-pycountry
Architecture: all
Depends:
 iso-codes (>> 4.8.0~),
 ${misc:Depends},
 ${python3:Depends},
Description: ISO databases accessible from Python 3
 pycountry provides ISO country, subdivision, language, currency and script
 definitions and their translations, taken from the iso-codes package.
 .
 This is the Python 3 version of the package.

## pycountry 23.12.11+ds1

=== debian/changelog ===
pycountry (23.12.11+ds1-2) unstable; urgency=medium

  * Cherry-pick upstream patch to reliably handle country name prefixes,
    giving compatibility with iso-codes 4.16, and fixing the test failures.
    Thanks to Scott Kitterman for digging into this bug and suggesting a
    suitable patch (Closes: #1060934).

 -- Stuart Prescott <stuart@debian.org>  Sun, 18 Feb 2024 15:51:09 +1100

pycountry (23.12.11+ds1-1) unstable; urgency=medium

  * New upstream release.
    - switch build system to poetry rather than setuptools
    - drop patch to change data locations
    - add patch to avoid separate importlib_metadata dependency
    - refresh patches
  * Change packaging to use a symlink farm to the data from iso-codes instead
    of substantial patches to change the location.
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Dec 2023 21:28:11 +1100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  debhelper-compat (= 13),
  dh-python,
  iso-codes (>> 4.8.0~),
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-pytest,
- python3-setuptools,
-Standards-Version: 4.6.0
-Homepage: https://pypi.org/pypi/pycountry/
+Standards-Version: 4.6.2
+Homepage: https://github.com/flyingcircusio/pycountry
 Vcs-Git: https://salsa.debian.org/debian/pycountry.git
 Vcs-Browser: https://salsa.debian.org/debian/pycountry
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,46 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_before_dh_auto_build:
+	# The data provided by the iso-codes package is not within this
+	# source package; reassemble the sources
+	# poetry insists on real files not strange out-of-module symlinks when
+	# building, but we want to end up with symlinks back to iso-codes
+	# in the package
+	echo "# AUTOGENERATED FROM d/rules" >> debian/links
+
+	# json databases
+	mkdir -p src/pycountry/databases
+	for f in /usr/share/iso-codes/json/iso*; do \
+	  src="$$f"; \
+	  part=`echo "$$f" | sed s@/usr/share/iso-codes/json/@@ | tr -d _`; \
+	  srcdest=src/pycountry/databases/"$$part"; \
+	  debdest=usr/lib/python3/dist-packages/pycountry/databases/"$$part"; \
+	  cp "$$src" "$$srcdest"; \
+	  echo "$$src" "$$debdest" >> debian/links; \
+	done
+
+	# locales data
+	mkdir -p src/pycountry/locales
+	dpkg -L iso-codes | \
+	  grep /usr/share/locale/ | \
+	  xargs dirname | \
+	  uniq | \
+	  sed "s@/usr/share/locale/@@" | \
+	  xargs -I{} -n1 mkdir -p src/pycountry/locales/{}
+	for f in `dpkg -L iso-codes | grep /usr/share/locale/`; do \
+	  if [ -f "$$f" ]; then \
+	    src="$$f"; \
+	    part=`echo "$$f" | sed "s@/usr/share/locale/@@;s@iso_@iso@"`; \
+	    srcdest=src/pycountry/locales/"$$part"; \
+	    debdest=/usr/lib/python3/dist-packages/pycountry/locales/"$$part"; \
+	    cp "$$src" "$$srcdest"; \
+	    echo "$$src" "$$debdest" >> debian/links; \
+	  fi; \
+	done
+
+	echo "RECONSTRUCTED PACKAGE:"
+	find src/pycountry
+
+execute_after_dh_auto_install:
 	rm -vrf $(CURDIR)/debian/python*-pycountry/usr/lib/python*/*-packages/pycountry/README.txt
-
-override_dh_clean:
-	rm -vrf $(CURDIR)/src/pycountry.egg-info/
-	dh_clean

## pycountry 24.6.1+ds1

=== debian/changelog ===
pycountry (24.6.1+ds1-1) unstable; urgency=medium

  * New upstream version.
    - drop patch 05-country-prefix.patch that was cherry-picked from
      upstream for the previous upload
    - drop 03-fix-pkg-resources.patch and 04-importlib-metadata.patch
      no longer needed due to changes in upstream test code.
    - refresh remaining patches
  * Explicitly add iso-codes to test dependencies to trigger ci.d.n tests
    when iso-codes uploads are performed.
  * Clean up additional copy of licence in the Python module directory.

 -- Stuart Prescott <stuart@debian.org>  Thu, 13 Jun 2024 18:57:05 +1000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-all,
  python3-poetry-core,
  python3-pytest,
+ python3-pytest-cov,
 Standards-Version: 4.6.2
 Homepage: https://github.com/flyingcircusio/pycountry
 Vcs-Git: https://salsa.debian.org/debian/pycountry.git

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_NAME=pycountry
-export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=$(CURDIR)/src/pycountry/tests
+export PYBUILD_NAME = pycountry
+export PYBUILD_TEST_PYTEST = 1
+export PYBUILD_TEST_ARGS = --no-cov $(CURDIR)/src/pycountry/tests
 
 
 %:
@@ -54,4 +54,4 @@
 	find src/pycountry
 
 execute_after_dh_auto_install:
-	rm -vrf $(CURDIR)/debian/python*-pycountry/usr/lib/python*/*-packages/pycountry/README.txt
+	rm -vrf $(CURDIR)/debian/python*-pycountry/usr/lib/python*/*-packages/pycountry/*.txt

=== debian/tests/control ===
Tests: python3-pycountry
Restrictions: allow-stderr
Depends:
 iso-codes,
 python3-all,
 python3-pycountry,
 python3-pytest,

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds.*//,repacksuffix=+ds1 \
https://pypi.python.org/packages/source/p/pycountry/pycountry-(\d+.*)\.tar\.gz

## pycountry 26.2.16+ds1

=== debian/changelog ===
pycountry (26.2.16+ds1-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
    - bump required version of iso-codes to match
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop unneeded Priority:optional and R3:no fields.

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Mar 2026 23:04:46 +1100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: pycountry
 Section: python
-Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders:
  Stuart Prescott <stuart@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- iso-codes (>> 4.8.0~),
+ iso-codes (>> 4.20.0~),
  pybuild-plugin-pyproject,
  python3-all,
  python3-poetry-core,
  python3-pytest,
  python3-pytest-cov,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/flyingcircusio/pycountry
 Vcs-Git: https://salsa.debian.org/debian/pycountry.git
 Vcs-Browser: https://salsa.debian.org/debian/pycountry
-Rules-Requires-Root: no
 
 Package: python3-pycountry
 Architecture: all
 Depends:
- iso-codes (>> 4.8.0~),
+ iso-codes (>> 4.20.0~),
  ${misc:Depends},
  ${python3:Depends},
 Description: ISO databases accessible from Python 3
